<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/asset/init.jsp" %>

<liferay-util:dynamic-include key="com.liferay.journal.web#/asset/full_content.jsp#pre" />

<%
AssetRendererFactory<?> assetRendererFactory = (AssetRendererFactory<?>)request.getAttribute(WebKeys.ASSET_RENDERER_FACTORY);

JournalArticleDisplay articleDisplay = (JournalArticleDisplay)request.getAttribute(WebKeys.JOURNAL_ARTICLE_DISPLAY);

String pageRedirect = ParamUtil.getString(request, "redirect");

if (Validator.isNull(pageRedirect)) {
	pageRedirect = currentURL;
}

int cur = ParamUtil.getInteger(request, "cur");
%>

<liferay-journal:journal-article-display
	articleDisplay="<%= articleDisplay %>"
	paginationURL='<%=
		PortletURLBuilder.create(
			PortalUtil.getControlPanelPortletURL(request, JournalPortletKeys.JOURNAL, PortletRequest.RENDER_PHASE)
		).setMVCPath(
			"/view_content.jsp"
		).setRedirect(
			pageRedirect
		).setParameter(
			"cur", cur
		).setParameter(
			"groupId", articleDisplay.getGroupId()
		).setParameter(
			"type", assetRendererFactory.getType()
		).setParameter(
			"urlTitle", articleDisplay.getUrlTitle()
		).buildPortletURL()
	%>'
/>

<liferay-util:dynamic-include key="com.liferay.journal.web#/asset/full_content.jsp#post" />